Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate
Class HibernateRepositoryCache

    java.lang.Object
      org.springframework.dao.support.DaoSupport
          org.springframework.orm.hibernate3.support.HibernateDaoSupport
              com.jaspersoft.jasperserver.api.metadata.common.service.impl.HibernateDaoImpl
                  com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.HibernateRepositoryCache

All Implemented Interfaces:
  RepositoryCache, org.springframework.beans.factory.InitializingBean

    public class HibernateRepositoryCache

extends HibernateDaoImpl
implements RepositoryCache

Version:
  $Id: HibernateRepositoryCache.java 9888 2007-09-04 10:05:05Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.HibernateDaoImpl
`HibernateDaoImpl.DaoCallback`

Field Summary

Fields inherited from class org.springframework.dao.support.DaoSupport
`logger`

Constructor Summary
`HibernateRepositoryCache()`

Method Summary
`java.io.InputStream` | `cache(ExecutionContext context, FileResource resource, RepositoryCacheableItem cacheableItem)`
`java.io.InputStream` | `cache(ExecutionContext context, java.lang.String uri, RepositoryCacheableItem cacheableItem)`
`void` | `clearCache(java.lang.String uri, RepositoryCacheableItem cacheableItem)`
`protected CachedItem` | `getCachedItem(ExecutionContext context, FileResource resource, RepositoryCacheableItem cacheableItem)`
`protected CachedItem` | `getCachedItem(java.lang.String uri, RepositoryCacheableItem cacheableItem)`
`protected net.sf.jasperreports.engine.util.Pair` | `getLockKey(FileResource resource, RepositoryCacheableItem cacheableItem)`
`RepositoryService` | `getRepository()`
`protected java.lang.Object` | `lock(FileResource resource, RepositoryCacheableItem cacheableItem)`
`protected void` | `removeCached(java.lang.String uri, RepositoryCacheableItem cacheableItem)`
`protected CachedItem` | `saveData(ExecutionContext context, FileResource resource, CachedItem item, RepositoryCacheableItem cacheableItem)`
`protected CachedItem` | `saveRefence(ExecutionContext context, FileResource resource, CachedItem item, RepositoryCacheableItem cacheableItem)`
`void` | `setRepository(RepositoryService repository)`
`protected void` | `unlock(java.lang.Object key)`
`protected void` | `updateReference(CachedItem item, CachedItem refItem)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.HibernateDaoImpl
`endOperation, executeCallback, executeWriteCallback, executeWriteCallback, getOperationTimestamp, startOperation`

Methods inherited from class org.springframework.orm.hibernate3.support.HibernateDaoSupport
`checkDaoConfig, convertHibernateAccessException, createHibernateTemplate, getHibernateTemplate, getSession, getSession, getSessionFactory, releaseSession, setHibernateTemplate, setSessionFactory`

Methods inherited from class org.springframework.dao.support.DaoSupport
`afterPropertiesSet, initDao`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateRepositoryCache

    public HibernateRepositoryCache()

Method Detail

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### cache

    public java.io.InputStream cache(ExecutionContext context,
                                     FileResource resource,
                                     RepositoryCacheableItem cacheableItem)

  Specified by:
    `cache` in interface `RepositoryCache`

### cache

    public java.io.InputStream cache(ExecutionContext context,
                                     java.lang.String uri,
                                     RepositoryCacheableItem cacheableItem)

  Specified by:
    `cache` in interface `RepositoryCache`

### lock

    protected java.lang.Object lock(FileResource resource,
                                    RepositoryCacheableItem cacheableItem)

### unlock

    protected void unlock(java.lang.Object key)

### getLockKey

    protected net.sf.jasperreports.engine.util.Pair getLockKey(FileResource resource,
                                                               RepositoryCacheableItem cacheableItem)

### getCachedItem

    protected CachedItem getCachedItem(ExecutionContext context,
                                       FileResource resource,
                                       RepositoryCacheableItem cacheableItem)

### getCachedItem

    protected CachedItem getCachedItem(java.lang.String uri,
                                       RepositoryCacheableItem cacheableItem)

### saveRefence

    protected CachedItem saveRefence(ExecutionContext context,
                                     FileResource resource,
                                     CachedItem item,
                                     RepositoryCacheableItem cacheableItem)

### saveData

    protected CachedItem saveData(ExecutionContext context,
                                  FileResource resource,
                                  CachedItem item,
                                  RepositoryCacheableItem cacheableItem)

### updateReference

    protected void updateReference(CachedItem item,
                                   CachedItem refItem)

### clearCache

    public void clearCache(java.lang.String uri,
                           RepositoryCacheableItem cacheableItem)

  Specified by:
    `clearCache` in interface `RepositoryCache`

### removeCached

    protected void removeCached(java.lang.String uri,
                                RepositoryCacheableItem cacheableItem)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.